;===========================================================================================
; win32a.inc 
; 11/10/2006 GoAsm assembler
; Programm par AsmGges
;===========================================================================================

;===========================================================================================
;                                   FONCTIONS WINDOWS
;===========================================================================================
;kernel32
 GetModuleHandle = GetModuleHandleA
 CreateFile      = CreateFileA
 DeleteFile      = DeleteFileA
 FindResource    = FindResourceA

;user32
 RegisterClass   = RegisterClassA
 CreateWindowEx  = CreateWindowExA
 DefWindowProc   = DefWindowProcA
 PeekMessage     = PeekMessageA
 DispatchMessage = DispatchMessageA
 LoadCursor      = LoadCursorA
 LoadIcon        = LoadIconA
 DrawText        = DrawTextA
 MessageBox      = MessageBoxA
 GetMessage      = GetMessageA
 SendMessage     = SendMessageA
 LoadImage       = LoadImageA

;gdi32
 TextOut         = TextOutA
 GetObject       = GetObjectA

;winmm
 PlaySound       = PlaySoundA
 mciSendCommand  = mciSendCommandA

;===========================================================================================
;                                       EQUATES WINDOWS
;===========================================================================================

 IDI_APPLICATION      = 07F00h
 IDC_ARROW            = 07F00h
 BLACK_BRUSH          = 04h
 SM_CXSCREEN          = 00h
 SM_CYSCREEN          = 01h
 SW_SHOWDEFAULT       = 0Ah
 PM_NOREMOVE          = 00h
 WM_CLOSE             = 010h
 WM_ACTIVATE          = 06h
 WM_KEYDOWN           = 0100h
 VK_ESCAPE            = 01Bh
 IMAGE_BITMAP         = 00h
 LR_CREATEDIBSECTION  = 02000h
 LR_LOADFROMFILE      = 010h
 GENERIC_READ         = 080000000h
 OPEN_EXISTING        = 03h
 SRCCOPY              = 0CC0020h
 HWND_DESKTOP         = 0h
 WS_POPUP             = 080000000h
 WS_VISIBLE           = 010000000h
 NULL                 = 0h
 TRUE                 = 01h
 WM_MOUSEMOVE         = 0200h
 WM_RBUTTONDOWN       = 0204h
 WM_LBUTTONDOWN       = 0201h
 MB_SYSTEMMODAL       = 01000h
 MB_YESNO             = 04h
 IDYES                = 06h
 SND_ASYNC            = 01h
 SND_FILENAME         = 020000h
 VK_RIGHT             = 027h
 VK_LEFT              = 025h
 VK_UP                = 026h
 VK_DOWN              = 028h
 VK_SUBTRACT          = 06Dh
 VK_ADD               = 06Bh
 VK_K                 = 04Bh
 VK_M                 = 04Dh
 VK_N                 = 04Eh
 VK_R                 = 052h
 VK_D                 = 044h
 VK_L                 = 04Ch
 VK_S                 = 053h
 VK_E                 = 045h
 VK_H                 = 048h
 VK_A                 = 041h
 DT_CENTER            = 01h
 DT_SINGLELINE        = 020h
 DT_BOTTOM            = 08h

;equates pour MCI
 MCI_OPEN         = 0803h
 MCI_OPEN_ELEMENT = 0200h
 MCI_PLAY         = 0806h
 MCI_CLOSE        = 0804h

;===========================================================================================
;                                        STRUCTURES
;===========================================================================================

WNDCLASS struct
  style             dd
  lpfnWndProc       dd
  cbClsExtra        dd
  cbWndExtra        dd
  hInstance         dd
  hIcon             dd
  hCursor           dd
  hbrBackground     dd
  lpszMenuName      dd
  lpszClassName     dd
ends

POINT struct
  x  dd
  y  dd
ends

MSG struct
  hwnd      dd
  message   dd
  wParam    dd
  lParam    dd
  time      dd
  pt        POINT  
ends

RECT struct
  left    dd
  top     dd
  right   dd
  bottom  dd
ends

BITMAP struct
  bmType        dd
  bmWidth       dd
  bmHeight      dd
  bmWidthBytes  dd
  bmPlanes      dw
  bmBitsPixel   dw
  bmBits        dd
ends

OPEN_MCI struct 
  dwCallback       dd 
  wDeviceID        dd 
  lpstrDeviceType  dd 
  lpstrElementName dd 
  lpstrAlias       dd 
ends

GENERIC_CALLBACK struct 
  dwCallback       dd 
ends

PLAY_MCI struct 
  dwCallback       dd 
  dwFrom           dd 
  dwTo             dd 
ends

;===========================================================================================
;///////////////////////////////////////////////////////////////////////////////////////////
;===========================================================================================